Package de.willuhn.jameica.hbci.server.hbci

# Class AbstractHBCISepaSammelTransferJob<T extends SepaSammelTransfer>

java.lang.Object
de.willuhn.jameica.hbci.server.hbci.AbstractHBCIJob
de.willuhn.jameica.hbci.server.hbci.AbstractHBCISepaSammelTransferJob<T>

Type Parameters:
  `T` - der konkrete Typ des SEPA-Sammelauftrages.

Direct Known Subclasses:
  `HBCISepaSammelLastschriftJob`, `HBCISepaSammelUeberweisungJob`

public abstract class AbstractHBCISepaSammelTransferJob<T extends SepaSammelTransfer> extends AbstractHBCIJob
Abstrakter Basis-Job fuer SEPA-Sammelauftraege.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.server.hbci.AbstractHBCIJob

`i18n`

## Constructor Summary

Constructors
Constructor
Description
`AbstractHBCISepaSammelTransferJob(T transfer)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected HibiscusDBObject`
`getContext()`
Liefert den zugehoerigen Auftrag von Hibiscus - insofern verfuegbar.
`protected void`
`markCancelled()`
Wird aufgerufen, wenn der User den Vorgang abgebrochen hat.
`protected void`
`markExecuted()`
Markiert den Auftrag als erledigt.
`protected String`
`markFailed(String error)`
Markiert den Auftrag als fehlerhaft.

### Methods inherited from class de.willuhn.jameica.hbci.server.hbci.AbstractHBCIJob

`getFollowerJobs, getIdentifier, getJobResult, getName, handleResult, isExclusive, setExclusive, setJob, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParam, setJobParamUsage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractHBCISepaSammelTransferJob

public AbstractHBCISepaSammelTransferJob(T transfer) throws de.willuhn.util.ApplicationException, RemoteException
ct. Achtung. Der Job-Parameter "data" fehlt noch und muss in den abgeleiteten Klassen gesetzt werden.

Parameters:
  `transfer` - der auszufuehrende Sammel-Transfer.
Throws:
  `de.willuhn.util.ApplicationException`
  `RemoteException`

## Method Details

### getContext

protected HibiscusDBObject getContext()
Description copied from class: `AbstractHBCIJob`
Liefert den zugehoerigen Auftrag von Hibiscus - insofern verfuegbar.

Specified by:
  `getContext` in class `AbstractHBCIJob`
Returns:
  der zugehoerige Auftrag von Hibiscus - insofern verfuegbar.
See Also:
  - `AbstractHBCIJob.getContext()`

### markExecuted

protected void markExecuted() throws RemoteException, de.willuhn.util.ApplicationException
Description copied from class: `AbstractHBCIJob`
Markiert den Auftrag als erledigt.

Specified by:
  `markExecuted` in class `AbstractHBCIJob`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractHBCIJob.markExecuted()`

### markFailed

protected String markFailed(String error) throws RemoteException, de.willuhn.util.ApplicationException
Description copied from class: `AbstractHBCIJob`
Markiert den Auftrag als fehlerhaft.

Specified by:
  `markFailed` in class `AbstractHBCIJob`
Parameters:
  `error` - der Fehlertext aus der HBCI-Nachricht.
Returns:
  der Fehlertext, wie er weitergeworfen werden soll. Hier kann der Implementierer noch weitere Informationen zum Job hinzufuegen.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractHBCIJob.markFailed(java.lang.String)`

### markCancelled

protected void markCancelled() throws RemoteException, de.willuhn.util.ApplicationException
Description copied from class: `AbstractHBCIJob`
Wird aufgerufen, wenn der User den Vorgang abgebrochen hat. Kann von den Jobs implementiert werden, muss aber nicht. Die Funktion wird nur genau dann aufgerufen, wenn der Job noch abbrechbar war - sprich, wenn er noch nicht an die Bank uebertragen wurde. Wurde er jedoch bereits an die Bank gesendet, dann wird entweder markFailed() oder markExecuted() aufgerufen.

Overrides:
  `markCancelled` in class `AbstractHBCIJob`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException` - BUGZILLA 690
See Also:
  - `AbstractHBCIJob.markCancelled()`